package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * 生产过程上下文对象-设备数据变量接口逻辑采集设备LOG信息
 */
@Data
public class MesEquipVariableCfgCollectLogContext {

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("变量类别")
    private String variableCategory;

    @ApiParam("二级变量")
    private String categoryLevelTwo;

    @ApiParam("规则类别")
    private String ruleCategory;

    @ApiParam("参考值")
    private String value;

    @ApiParam("是否常变值")
    private Integer needNewValue;

    @ApiParam("设备ID")
    private Integer equipId;

    @ApiParam("OPC注册ID（设备LOG表的主键）")
    private Integer clientHandle;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("通道")
    private String channel;

    @ApiParam("终端")
    private String device;

    @ApiParam("tag名称")
    private String tagName;

    @ApiParam("tag地址")
    private String tagAddress;

    @ApiParam("变量类型")
    private Integer variableType;

    @ApiParam("数据类型")
    private Integer variableDataType;

    @ApiParam("DB块")
    private String code;

    @ApiParam("轮询时间")
    private Integer scanInterval;

    @ApiParam("读写类型")
    private Integer readWrite;

    @ApiParam("设备变量ID")
    private Long equipVariableId;

    @ApiParam("设备变量名称")
    private String equipVariableName;

    @ApiParam("设备变量描述")
    private String equipVariableDesc;

    @ApiParam("读写标记")
    private Integer readWriteFlag;

    @ApiParam("数据类型")
    private String dataType;

    @ApiParam("变量当前值")
    private String equipVariableValue;

    @ApiParam("设备质量")
    private Integer quality;

    public MesEquipVariableCfgCollectLogContext(Long equipVariableId) {
        this.equipVariableId = equipVariableId;
    }

}
